Ошибка в консоли от WorldGuard при запуске сервера с FAWE

TRUEC0DER

Пользователь
На странице плагина FAWE написано, что WorldGuard поддерживается, но при запуске вылезает ошибка
Код:
[15:28:46 WARN]: java.lang.NoSuchMethodError: org.bukkit.Material.isLegacy()Z
[15:28:46 WARN]:        at com.sk89q.worldedit.bukkit.BukkitBlockRegistry.values(BukkitBlockRegistry.java:139)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.block.BlockTypesCache.<clinit>(BlockTypesCache.java:179)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.block.BlockTypes.init(BlockTypes.java:733)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.block.BlockTypes.<clinit>(BlockTypes.java:40)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.block.BlockState.get(BlockState.java:127)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.block.BlockState.get(BlockState.java:105)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.registry.LegacyMapper.loadFromResource(LegacyMapper.java:112)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.registry.LegacyMapper.<init>(LegacyMapper.java:76)
[15:28:46 WARN]:        at com.sk89q.worldedit.world.registry.LegacyMapper.getInstance(LegacyMapper.java:295)
[15:28:46 WARN]:        at com.sk89q.worldedit.WorldEdit.loadMappings(WorldEdit.java:384)
[15:28:46 WARN]:        at com.sk89q.worldedit.bukkit.WorldEditPlugin.setupPreWorldData(WorldEditPlugin.java:240)
[15:28:46 WARN]:        at com.sk89q.worldedit.bukkit.WorldEditPlugin.onEnable(WorldEditPlugin.java:219)
[15:28:46 WARN]:        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264)
[15:28:46 WARN]:        at com.sk89q.worldedit.bukkit.WorldEditPlugin.init(WorldEditPlugin.java:167)
[15:28:46 WARN]:        at com.sk89q.worldedit.bukkit.WorldEditPlugin.<init>(WorldEditPlugin.java:151)
[15:28:46 WARN]:        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
[15:28:46 WARN]:        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
[15:28:46 WARN]:        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
[15:28:46 WARN]:        at java.lang.reflect.Constructor.newInstance(Unknown Source)
[15:28:46 WARN]:        at java.lang.Class.newInstance(Unknown Source)
[15:28:46 WARN]:        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:90)
[15:28:46 WARN]:        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129)
[15:28:46 WARN]:        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:327)
[15:28:46 WARN]:        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:248)
[15:28:46 WARN]:        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:305)
[15:28:46 WARN]:        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205)
[15:28:46 WARN]:        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545)
[15:28:46 WARN]:        at java.lang.Thread.run(Unknown Source)
[15:28:46 WARN]: Failed to load the built-in legacy id registry
java.lang.ExceptionInInitializerError: null
        at com.sk89q.worldedit.world.block.BlockTypes.init(BlockTypes.java:733) ~[FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.block.BlockTypes.<clinit>(BlockTypes.java:40) ~[FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.block.BlockState.get(BlockState.java:127) ~[FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.block.BlockState.get(BlockState.java:105) ~[FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.registry.LegacyMapper.loadFromResource(LegacyMapper.java:112) ~[FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.registry.LegacyMapper.<init>(LegacyMapper.java:76) [FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.world.registry.LegacyMapper.getInstance(LegacyMapper.java:295) [FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.WorldEdit.loadMappings(WorldEdit.java:384) [FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.bukkit.WorldEditPlugin.setupPreWorldData(WorldEditPlugin.java:240) [FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.bukkit.WorldEditPlugin.onEnable(WorldEditPlugin.java:219) [FastAsyncWorldEdit.jar:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at com.sk89q.worldedit.bukkit.WorldEditPlugin.init(WorldEditPlugin.java:167) [FastAsyncWorldEdit.jar:?]
        at com.sk89q.worldedit.bukkit.WorldEditPlugin.<init>(WorldEditPlugin.java:151) [FastAsyncWorldEdit.jar:?]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_241]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) [?:1.8.0_241]
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) [?:1.8.0_241]
        at java.lang.reflect.Constructor.newInstance(Unknown Source) [?:1.8.0_241]
        at java.lang.Class.newInstance(Unknown Source) [?:1.8.0_241]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:90) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:327) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:248) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:305) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_241]
Caused by: java.lang.RuntimeException: java.lang.NoSuchMethodError: org.bukkit.Material.isLegacy()Z
        at com.sk89q.worldedit.world.block.BlockTypesCache.<clinit>(BlockTypesCache.java:230) ~[?:?]
        ... 26 more
Caused by: java.lang.NoSuchMethodError: org.bukkit.Material.isLegacy()Z
        at com.sk89q.worldedit.bukkit.BukkitBlockRegistry.values(BukkitBlockRegistry.java:139) ~[?:?]
        at com.sk89q.worldedit.world.block.BlockTypesCache.<clinit>(BlockTypesCache.java:179) ~[?:?]
        ... 26 more
Код:
[15:28:46 ERROR]: Could not load 'plugins\WorldGuard.jar' in folder 'plugins'
org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: com/sk89q/worldedit/Location
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:327) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:248) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:305) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at java.lang.Thread.run(Unknown Source) [?:1.8.0_241]
Caused by: java.lang.NoClassDefFoundError: com/sk89q/worldedit/Location
        at com.sk89q.worldguard.protection.flags.DefaultFlag.<clinit>(DefaultFlag.java:134) ~[?:?]
        at com.sk89q.worldguard.bukkit.WorldGuardPlugin.<init>(WorldGuardPlugin.java:136) ~[?:?]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_241]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_241]
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_241]
        at java.lang.reflect.Constructor.newInstance(Unknown Source) ~[?:1.8.0_241]
        at java.lang.Class.newInstance(Unknown Source) ~[?:1.8.0_241]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:90) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        ... 6 more
Caused by: java.lang.ClassNotFoundException: com.sk89q.worldedit.Location
        at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_241]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:152) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:100) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_241]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_241]
        at com.sk89q.worldguard.protection.flags.DefaultFlag.<clinit>(DefaultFlag.java:134) ~[?:?]
        at com.sk89q.worldguard.bukkit.WorldGuardPlugin.<init>(WorldGuardPlugin.java:136) ~[?:?]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_241]
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_241]
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_241]
        at java.lang.reflect.Constructor.newInstance(Unknown Source) ~[?:1.8.0_241]
        at java.lang.Class.newInstance(Unknown Source) ~[?:1.8.0_241]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:90) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot1.12.2.jar:git-Spigot-dcd1643-e60fc34]
        ... 6 more
Версия сервера 1.12.2, версия плагина самая последняя
1582288499976.png
 
У

Удалённый пользователь

Последняя версия FAWE работает с 1.14.4 - 1.15.2 и она не стабильная
Авто объединение сообщений:

Последняя версия WorldGuard работает с 1.14.4 - 1.15.2 1582289287695.png
 

TRUEC0DER

Пользователь
@Liassid, Про WorldGuard забыл добавить, что для версии 1.12.2 самая последняя, вот FAWE я попробую поставить версии ниже
 

q20w26a

Разработчик
Ну там даже на официальной странице написано: не использовать на продакшн-серверах.
 

Комнаты в чате

Верх Низ